## org.exist.ant
Class XMLDBXPathTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBXPathTask

public class XMLDBXPathTask
extends AbstractXMLDBTask

an ant task to execute an query using XPath.

The query is either passed as nested text in the element, or via an attribute "query".

Author:
  wolf

  modified by:, peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBXPathTask()`

Method Summary
`void` `addText(java.lang.String text)`
`void` `execute()`
`void` `setCount(boolean count)`
`void` `setDestDir(java.io.File destDir)`
`void` `setNamespace(java.lang.String namespace)`
`void` `setOutputproperty(java.lang.String outputproperty)`
`void` `setQuery(java.lang.String query)`
`void` `setResource(java.lang.String resource)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBXPathTask

    public XMLDBXPathTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setQuery

    public void setQuery(java.lang.String query)

  Parameters:
    `query` -

### addText

    public void addText(java.lang.String text)

### setResource

    public void setResource(java.lang.String resource)

### setNamespace

    public void setNamespace(java.lang.String namespace)

### setDestDir

    public void setDestDir(java.io.File destDir)

### setOutputproperty

    public void setOutputproperty(java.lang.String outputproperty)

### setCount

    public void setCount(boolean count)

Copyright (C) Wolfgang Meier. All rights reserved.